net.dontdrinkandroot.utils

## Class SystemProperties

- java.lang.Object
- - net.dontdrinkandroot.utils.SystemProperties

    public class SystemProperties
    extends Object

Utility class to easily access standard java system properties.

Author:
  Philip W. Sorst

### Constructor Summary

Constructors
`protected` `SystemProperties()` Utility class, disabled constructor.

### Method Summary

Methods
`static String` `getFileEncoding()` The character encoding for the default locale.
`static String` `getFileEncodingPkg()` The package that contains the converters that handle converting between local encodings and Unicode.
`static String` `getFileSeparator()` The platform-dependent file separator (e.g., "/" on UNIX, "\" for Windows).
`static String` `getJavaClassPath()` The value of the CLASSPATH environment variable
`static String` `getJavaClassVersion()` The version of the Java API.
`static String` `getJavaCompiler()` The just-in-time compiler to use, if any.
`static String` `getJavaHome()` The directory in which Java is installed.
`static String` `getJavaIoTmpdir()` The directory in which java should create temporary files.
`static String` `getJavaVendor()` A vendor-specific string.
`static String` `getJavaVendorUrl()` A vendor URL.
`static String` `getJavaVersion()` The version of the Java interpreter.
`static String` `getLineSeparator()` The platform-dependent line separator (e.g., "\n" on UNIX, "\r\n" for Windows).
`static String` `getOsArch()` The system architecture.
`static String` `getOsName()` The name of the operating system.
`static String` `getOsVersion()` The operating system version.
`static String` `getPathSeparator()` The platform-dependent path separator (e.g., ":" on UNIX, "," for Windows).
`static String` `getUserDir()` The current working directory when the properties were initialized.
`static String` `getUserHome()` The home directory of the current user.
`static String` `getUserLanguage()` The two-letter language code of the default locale.
`static String` `getUserName()` The username of the current user.
`static String` `getUserRegion()` The two-letter country code of the default locale.
`static String` `getUserTimezone()` The default time zone.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemProperties

    protected SystemProperties()

Utility class, disabled constructor.

### Method Detail

#### getFileEncoding

    public static String getFileEncoding()

The character encoding for the default locale.

#### getFileEncodingPkg

    public static String getFileEncodingPkg()

The package that contains the converters that handle converting between local encodings and Unicode.

#### getFileSeparator

    public static String getFileSeparator()

The platform-dependent file separator (e.g., "/" on UNIX, "\" for Windows).

#### getJavaClassPath

    public static String getJavaClassPath()

The value of the CLASSPATH environment variable

#### getJavaClassVersion

    public static String getJavaClassVersion()

The version of the Java API.

#### getJavaCompiler

    public static String getJavaCompiler()

The just-in-time compiler to use, if any. The java interpreter provided with the JDK initializes this property from the environment variable JAVA_COMPILER..

#### getJavaHome

    public static String getJavaHome()

The directory in which Java is installed.

#### getJavaIoTmpdir

    public static String getJavaIoTmpdir()

The directory in which java should create temporary files.

#### getJavaVersion

    public static String getJavaVersion()

The version of the Java interpreter.

#### getJavaVendor

    public static String getJavaVendor()

A vendor-specific string.

#### getJavaVendorUrl

    public static String getJavaVendorUrl()

A vendor URL.

#### getLineSeparator

    public static String getLineSeparator()

The platform-dependent line separator (e.g., "\n" on UNIX, "\r\n" for Windows).

#### getOsName

    public static String getOsName()

The name of the operating system.

#### getOsArch

    public static String getOsArch()

The system architecture.

#### getOsVersion

    public static String getOsVersion()

The operating system version.

#### getPathSeparator

    public static String getPathSeparator()

The platform-dependent path separator (e.g., ":" on UNIX, "," for Windows).

#### getUserDir

    public static String getUserDir()

The current working directory when the properties were initialized.

#### getUserHome

    public static String getUserHome()

The home directory of the current user.

#### getUserLanguage

    public static String getUserLanguage()

The two-letter language code of the default locale.

#### getUserName

    public static String getUserName()

The username of the current user.

#### getUserRegion

    public static String getUserRegion()

The two-letter country code of the default locale.

#### getUserTimezone

    public static String getUserTimezone()

The default time zone.